variables:
  DOCKER_OPTS: "--insecure-registry=$CI_REGISTRY --storage-driver=aufs"
  DOCKER_HOST: "tcp://lordgaav__dind-options:2375"

services:
  - lordgaav/dind-options

docker-build-tags:
  image: docker:latest
  stage: build
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_TAG" .
    - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_TAG"
  only:
    - tags
